#!/bin/bash
. /usr/bin/jshn.sh

gwid=`uci get gateway.general.GWID`
chip=02
latitude=`uci get gateway.general.LAT`
longitude=`uci get gateway.general.LON`
altitude=`uci get gateway.general.ALT`
fake_gps=`uci get gateway.general.fake_gps`


gen_gw_cfg() {
json_init
    	json_add_object gateway_conf
	json_add_string "platform" "SX13$chip"
	json_add_string "description" "Dragino LoRaWAN Gateway"
	json_add_string "gateway_ID" "$gwid"
	json_add_boolean "radiostream_enable" 1
	json_add_string "ghost_host" "localhost"
	json_add_int "ghost_port" "1760"
	json_add_boolean "manage_enable" 0
	json_add_boolean "custom_downlink" 0
	json_add_int	"stat_interval" "30"
	json_add_boolean "wd_enable" 1
	json_add_boolean "mac_decode" 0
	json_add_boolean "mac2file" 0
	json_add_boolean "mac2db" 0
	json_add_double "ref_latitude" "$latitude"
	json_add_double "ref_longitude" "$longitude"
	json_add_double "ref_altitude" "$altitude"
	json_add_int "beacon_period" "0"
	json_add_int "beacon_freq_hz" "869525000"
	json_add_int "beacon_datarate" "9"
	json_add_int "beacon_bw_hz" "125000"
	json_add_int "beacon_power" "14"
	json_add_int "beacon_infodesc" "0"
	json_add_array "servers"
		json_add_object "server1"
		json_add_string "server_name" "nametest"
		json_add_boolean "enabled" 1
		json_add_string "server_type" "semtech"
		json_add_string	"server_address" "`uci get gateway.server1.server_address`"
		json_add_int "serv_port_up" "`uci get gateway.server1.upp`"
		json_add_int "serv_port_down" "`uci get gateway.server1.dpp`"
		json_add_int "keepalive_interval" "`uci get gateway.server1.keepalive_interval`"
		json_add_int "stat_interval" "30"
		json_add_int "push_timeout_ms" "`uci get gateway.server1.push_timeout_ms`"
		json_add_int "fport_filter" "`uci get gateway.server1.fport_filter`"
		json_add_string "devaddr_filter" "`uci get gateway.server1.devaddr_filter`"
		json_add_boolean "forward_crc_valid" "`uci get gateway.server1.forward_crc_valid`"
		json_add_boolean "forward_crc_error" "`uci get gateway.server1.forward_crc_error`"
		json_add_boolean "forward_crc_disabled" "`uci get gateway.server1.forward_crc_disabled`"
		json_close_object
	json_close_object
	json_close_array

	json_add_object debug_conf
	json_add_array "ref_payload"

		json_add_object
		json_add_string "id" "0xCAFE1234"
		json_close_object

		json_add_object
		json_add_string "id" "0xCAFE2345"
		json_close_object

	json_close_array
	json_add_string "log_file" "loragw_hal.log"
	json_close_object
	json_dump  > /etc/lora/asd.json
}
case "$1" in
	start)
		gen_gw_cfg
		;;
	*)
esac

exit
